import { AKInseeConfig } from './config.js';
import { AKInseeCompany } from './schema.js';
export default class AKInseeService {
    #private;
    protected options: AKInseeConfig;
    base_url: string;
    constructor(options: AKInseeConfig);
    findBySiret(siret: string): Promise<AKInseeCompany>;
    findBySiren(siren: string): Promise<AKInseeCompany>;
    findByName(query: string): Promise<AKInseeCompany[]>;
}
